from setuptools import setup, find_packages

APP = ['ultipa']
DATA_FILES = []
OPTIONS = {}

setup(
    app=APP,
    name="ultipa",
    version="4.2.1",
    packages=find_packages(),  # 常用,要熟悉 :会自动查找当前目录下的所有模块(.py文件) 和包(包含__init___.py文件的文件夹)
    # scripts = ['say_hello.py'],
    # Project uses reStructuredText, so ensure that the docutils get
    # installed or upgraded on the target machine
    install_requires=[
                'grpcio==1.48.2',
                'grpcio-tools==1.48.2',
                'protobuf==3.19.0',
                'google==2.0.3',
                'schedule==1.1.0',
                'prettytable==2.5.0',
                'treelib==1.6.1',
                "tzlocal==4.2",
                "pytz==2022.7"
                ],  # 常用
    package_data={
        # If any package contains *.txt or *.rst files, include them:
        '': ['*.txt', '*.rst',"printer"],
        # And include any *.msg files found in the 'hello' package, too:
        'hello': ['*.msg'],
    },
    # metadata for upload to PyPI
    author="Ultipa",
    author_email="support@ultipa.com",
    description="This is ultipa sdk",
    license="PSF",
    keywords="ultipa sdk",
    url="https://ultipa.cn/document/ultipa-drivers/python-installation",  # project home page, if any
    # could also include long_description, download_url, classifiers, etc.
)
